/**
 ****************************************************************************
 * @file:	ipdrv.c
 * @brief:	IP Driver Commonization definition
 * @version	V1.0
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */

#include "ipdefine.h"

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if defined(__TMPM4J5_H__)
 #if defined(__CONTROL_MOTOR_CH0)

	const ipdrv_t Motor_ch0_IP = 
	{
		TSB_VE0,
		TSB_PMD0, 
		TSB_ADA
//		TSB_ADC
	};

 #endif /* defined(__CONTROL_MOTOR_CH0) */
#endif /* defined(__TMPM4J5_H__) */

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if defined(__TMPM4L2_H__)
 #if defined(__CONTROL_MOTOR_CH0)

	const ipdrv_t Motor_ch0_IP = 
	{
		TSB_VE0,
		TSB_PMD0, 
		TSB_ADA
	};

 #endif /* defined(__CONTROL_MOTOR_CH0) */
#endif /* defined(__TMPM4L2_H__) */

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if defined(__TMPM4KNA_H__)
#if defined(__CONTROL_MOTOR_CH2)

	const ipdrv_t Motor_ch2_IP = 
	{
		NULL,		/* TSB_VE2 Not implemented */
		TSB_PMD2,
		TSB_ADC
	};

#endif /* defined(__CONTROL_MOTOR_CH2) */

#if defined(__CONTROL_MOTOR_CH1)

	const ipdrv_t Motor_ch1_IP = 
	{
		NULL,		/* TSB_VE1 Not implemented */
		TSB_PMD1,
		TSB_ADB
	};

#endif /* defined(__CONTROL_MOTOR_CH1) */

#if defined(__CONTROL_MOTOR_CH0)

	const ipdrv_t Motor_ch0_IP = 
	{
		TSB_VE0,
		TSB_PMD0,
		TSB_ADA
	};

#endif /* defined(__CONTROL_MOTOR_CH0) */
#endif /* defined(__TMPM4KNA_H__) */

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if defined(__TMPM4K4A_H__)
#if defined(__CONTROL_MOTOR_CH1)

	const ipdrv_t Motor_ch1_IP = 
	{
		NULL,		/* TSB_VE1 Not implemented */
		TSB_PMD1,
		TSB_ADA
	};

#endif /* defined(__CONTROL_MOTOR_CH1) */

#if defined(__CONTROL_MOTOR_CH0)

	const ipdrv_t Motor_ch0_IP = 
	{
		TSB_VE0,
		TSB_PMD0,
		TSB_ADA
	};

#endif /* defined(__CONTROL_MOTOR_CH0) */
#endif /* defined(__TMPM4K4A_H__) */

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if defined(__TMPM470_H__) || defined(__TMPM475_H__)
 #if defined(__CONTROL_MOTOR_CH1)

	const ipdrv_t Motor_ch1_IP = 
	{
		TSB_VE1,
		TSB_PMD1,
		TSB_ADB
	};

 #endif /* defined(__CONTROL_MOTOR_CH1) */

 #if defined(__CONTROL_MOTOR_CH0)

	const ipdrv_t Motor_ch0_IP = 
	{
		TSB_VE0,
		TSB_PMD0,
		TSB_ADA
	};

 #endif /* defined(__CONTROL_MOTOR_CH0) */
#endif /* defined(__TMPM470_H__) || defined(__TMPM475_H__) */

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if defined(__TMPM375_H__)
 #if defined(__CONTROL_MOTOR_CH1)

	const ipdrv_t Motor_ch1_IP = 
	{
		TSB_VE,
		TSB_PMD1, 
		TSB_ADB
	};

 #endif /* defined(__CONTROL_MOTOR_CH1) */
#endif /* defined(__TMPM375_H__) */

/*===================================================================*
	  Const Definition
 *===================================================================*/
#if (defined(__TMPM370_H__) || defined(__TMPM372_H__) || defined(__TMPM373_H__) || defined(__TMPM374_H__) || defined(__TMPM376_H__))
#if defined(__CONTROL_MOTOR_CH1)

	const ipdrv_t Motor_ch1_IP = 
	{
		TSB_VE,
		TSB_PMD1,
		TSB_ADB
	};

 #endif /* defined(__CONTROL_MOTOR_CH1) */

 #if defined(__CONTROL_MOTOR_CH0)

	const ipdrv_t Motor_ch0_IP = 
	{
		TSB_VE,
		TSB_PMD0,
		TSB_ADA
	};

 #endif /* defined(__CONTROL_MOTOR_CH0) */
#endif /* (defined(__TMPM370_H__) || defined(__TMPM372_H__) || defined(__TMPM373_H__) || defined(__TMPM374_H__) || defined(__TMPM376_H__)) */

/******************************** END OF FILE *********************************/
