/**
 ****************************************************************************
 * @file:	 v7z_board.h
 * @brief:	 Processing dedicated to V7Z board
 * @version  V1.1
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _V7Z_BOARD_H
#define _V7Z_BOARD_H

/*===================================================================*
	  Select relay control (Used only for High voltage board.)
 *===================================================================*/
#if defined(__TYPE_HIGH_VOLT)
#define	__RELAY											/* If define __RELAY, use relay control. */
#endif
/*===================================================================*
	  Select Pre-Driver EN control (Used only for Low voltage board.)
 *===================================================================*/
#if defined(__TYPE_LOW_VOLT)
#define	__PRE_DRV_EN									/* If define __PRE_DRV_EN, use Pre-Driver EN control. */
#endif

/*===================================================================*
      Proto Type Definition
 *===================================================================*/
void init_Relay(void);
void Relay_On(void);
void init_PreDrvEn(void);
void PreDrvEn0_Control(void);
void PreDrvEn1_Control(void);
void PreDrvEn2_Control(void);

#endif /* _V7Z_BOARD_H */

/******************************** END OF FILE *********************************/
